    
#include <amxmodx>
#include <rage>
#include <fun>
#include <cstrike>

new MaxServerSlots;
 
public plugin_init()
{
    register_plugin( "Hornet Gun Example", "1.0", "Arkshine" );

    register_clcmd( "hive", "ClientCommand_GiveHornetGun" );
    register_clcmd( "say hive", "ClientCommand_GiveHornetGun" );

    MaxServerSlots = get_maxplayers();
}

public ClientCommand_GiveHornetGun( const client )
{
    give_item( client, "weapon_hivehand" );
    return PLUGIN_HANDLED;
}


// Added 2 forwards for fun to control the tracking and touch.
forward OnHornetTracking( const hornet, const hornetOwner, const trackedEntity );
forward OnHornetDieTouch( const hornet, const hornetOwner, const touchedEntity );

#define IsPlayer(%0)     ( 1 <= %0 <= MaxServerSlots )
#define SameTeam(%0,%1)  ( IsPlayer(%0) && is_user_alive(%0) && cs_get_user_team( %1 ) == cs_get_user_team( %0 ) )

public OnHornetTracking( const hornet, const hornetOwner, const trackedEntity )
{
    return SameTeam( trackedEntity, hornetOwner );
}

public OnHornetDieTouch( const hornet, const hornetOwner, const touchedEntity )
{
    return SameTeam( touchedEntity, hornetOwner );
}


